## fprintd 1.90.1

=== meson_options.txt ===
option('pam',
    description: 'Build the fprintd PAM module',
    type: 'boolean',
    value: true)
option('man',
    description: 'Generate the man files',
    type: 'boolean',
    value: true)
option('systemd_system_unit_dir',
    description: 'Directory for systemd service files',
    type: 'string')
option('dbus_service_dir',
    description: 'Directory for dbus service files',
    type: 'string')
option('pam_modules_dir',
    description: 'Directory for PAM modules',
    type: 'string')
option('gtk_doc',
    type: 'boolean',
    value: false,
    description: 'Use gtk-doc to build documentation')

## fprintd 0.4.1-5-g73edad0

=== debian/changelog ===
fprintd (0.4.1-5-g73edad0-3) unstable; urgency=low

  * Upload to unstable.
  * Build in verbose mode.

 -- Didier Raboud <odyx@debian.org>  Sun, 27 May 2012 18:28:38 +0200

fprintd (0.4.1-5-g73edad0-2) experimental; urgency=low

  * Fix typo in FingerForce maintainer address.

 -- Didier Raboud <odyx@debian.org>  Mon, 14 May 2012 23:09:47 +0200

fprintd (0.4.1-5-g73edad0-1) experimental; urgency=low

  * Initial release (Closes: #502138, LP: #376540, #346083).
    - Largely inspired from David Jurenka's Ubuntu PPA; thanks to him!

 -- Didier Raboud <odyx@debian.org>  Mon, 14 May 2012 22:07:37 +0200

=== debian/control ===
Source: fprintd
Section: misc
Priority: extra
Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9),
 libfprint-dev (>= 0.1.0),
 libglib2.0-dev,
 libdbus-glib-1-dev,
 libpolkit-gobject-1-dev,
 gtk-doc-tools,
 libpam0g-dev
Standards-Version: 3.9.3
Homepage: http://www.freedesktop.org/wiki/Software/fprint/fprintd
Vcs-Git: git://anonscm.debian.org/fingerforce/fprintd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=fingerforce/fprintd.git

Package: fprintd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
 dbus,
 policykit-1
Description: D-Bus daemon for fingerprint reader access
 fprintd is a D-Bus daemon that offers libfprint functionality over the
 D-Bus interprocess communication bus. By adding this daemon layer above
 libfprint, various problems related to multiple applications simulatenously
 competing for fingerprint readers get solved.

Package: libpam-fprintd
Architecture: any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends},
 fprintd (= ${binary:Version}),
 libpam-runtime (>= 1.1.3-2~)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: PAM module for fingerprint authentication trough fprintd
 fprintd is a D-Bus daemon that offers libfprint functionality over the
 D-Bus interprocess communication bus. By adding this daemon layer above
 libfprint, various problems related to multiple applications simulatenously
 competing for fingerprint readers get solved.
 .
 This package provides a PAM module for fingerprint-based authentication
 via fprintd.

Package: fprintd-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: fprintd (>= ${source:Version}), libpam-fprintd (>= ${source:Version})
Description: development documentation for fprintd
 fprintd is a D-Bus daemon that offers libfprint functionality over the
 D-Bus interprocess communication bus. By adding this daemon layer above
 libfprint, various problems related to multiple applications simulatenously
 competing for fingerprint readers get solved.
 .
 This package contains the GTK-Doc API documentation of fprintd.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --fail-missing --parallel

# Configuration arguments
CONFIG_ARGS = --enable-pam --disable-silent-rules

ifneq (,$(filter fprintd-doc,$(shell dh_listpackages)))
	CONFIG_ARGS += --enable-gtk-doc
endif

override_dh_auto_configure:
	# From autogen.sh
	aclocal
	autoheader
	glib-gettextize -f -c
	gtkdocize --copy
	intltoolize -c -f
	libtoolize -c
	autoconf
	automake -a -c
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_auto_build:
	make -C doc/dbus all
	dh_auto_build

override_dh_install:
	dh_install -X .la -X .a
	mkdir -p debian/libpam-fprintd/lib
	mv debian/libpam-fprintd/usr/lib/* debian/libpam-fprintd/lib/
	find debian/libpam-fprintd/usr -type d -empty -delete
	# Arch-qualify pam-configs
	rename 's|(.*)/(.*)$$|$$1/$$2.$(DEB_HOST_ARCH)|' debian/libpam-fprintd/usr/share/pam-configs/*
	sed -e 's/#DEB_HOST_ARCH#/$(DEB_HOST_ARCH)/g' debian/libpam-fprintd.prerm > debian/libpam-fprintd.prerm.$(DEB_HOST_ARCH)

override_dh_clean:
	rm -f debian/libpam-fprintd.prerm.*
	dh_clean

## fprintd 0.5.0

=== debian/changelog ===
fprintd (0.5.0-1) unstable; urgency=low

  * New 0.5.0 upstream release.
  * Replace our 'max_tries and timeout' patch with the cleaned version
    accepted by upstream.

 -- Didier Raboud <odyx@debian.org>  Sat, 18 May 2013 17:46:02 +0200

fprintd (0.4.1-20-g9ea025d-1) experimental; urgency=low

  * New upstream git snapshot including many translation fixes.

  [ Luca Capello ]
  * debian/libpam-fprintd.docs:
    + add upstream README (Closes: #680050).

  [ Didier Raboud ]
  * Bump libfprint-dev Build-Depends to 0.5.0-2~.
  * Install new translations.
  * Bump Standards-Version to 3.9.4 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Sun, 03 Mar 2013 13:04:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9),
- libfprint-dev (>= 0.1.0),
+ libfprint-dev (>= 1:0.5.0-2~),
  libglib2.0-dev,
  libdbus-glib-1-dev,
  libpolkit-gobject-1-dev,
  gtk-doc-tools,
  libpam0g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.freedesktop.org/wiki/Software/fprint/fprintd
 Vcs-Git: git://anonscm.debian.org/fingerforce/fprintd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=fingerforce/fprintd.git

## fprintd 0.5.1

=== debian/changelog ===
fprintd (0.5.1-1) unstable; urgency=low

  * New 0.5.1 upstream release (Closes: #721717)

  [ Didier Raboud ]
  * Drop 'max_tries and timeout' patch, incorporated upstream
  * Bump libfprint-dev Build-Depends to 0.5.1
  * Backport bugfix from upstream:
    - data: Fix syntax error in fprintd.pod

  [ Michael Biebl ]
  * Install systemd service file (Closes: #717767)
    - point to correct systemdsystemunitdir in CONFIG_ARGS
    - update 0_put_fprint_daemon_in_sbin to correct the systemd unit
      file

 -- Didier Raboud <odyx@debian.org>  Sun, 29 Sep 2013 15:37:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9),
- libfprint-dev (>= 1:0.5.0-2~),
+ libfprint-dev (>= 1:0.5.1),
  libglib2.0-dev,
  libdbus-glib-1-dev,
  libpolkit-gobject-1-dev,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --fail-missing --parallel
 
 # Configuration arguments
-CONFIG_ARGS = --enable-pam --disable-silent-rules
+CONFIG_ARGS = --enable-pam --disable-silent-rules --with-systemdsystemunitdir=/lib/systemd/system
 
 ifneq (,$(filter fprintd-doc,$(shell dh_listpackages)))
 	CONFIG_ARGS += --enable-gtk-doc

## fprintd 0.6.0

=== debian/changelog ===
fprintd (0.6.0-2) unstable; urgency=medium

  [ Santiago Vila ]
  * Fix FTBFS when building arch-indep only (Closes: #806026)

  [ Didier Raboud ]
  * Bump S-V to 3.9.8 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 08 Jun 2016 21:32:01 +0200

fprintd (0.6.0-1) unstable; urgency=medium

  * New 0.6.0 upstream release

  * Update patches:
    - Backport the upstream translation update for 0.6.0
    - Drop the syntax error fix in fprintd.pod patch, which was from upstream
  * Uses a wildcard match to install the translation files
  * Bump libfprint Build-Depends to 0.6

  [ Barak A. Pearlmutter ]
  * Fix two typos in package descriptions (Closes: #752377)

 -- Didier Raboud <odyx@debian.org>  Wed, 06 May 2015 18:17:08 +0200

=== debian/control ===
Source: fprintd
Section: misc
Priority: extra
Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9),
 libfprint-dev (>= 1:0.6),
 libglib2.0-dev,
 libdbus-glib-1-dev,
 libpolkit-gobject-1-dev,
 gtk-doc-tools,
 libpam0g-dev
Standards-Version: 3.9.8
Homepage: http://www.freedesktop.org/wiki/Software/fprint/fprintd
Vcs-Git: git://anonscm.debian.org/fingerforce/fprintd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=fingerforce/fprintd.git

Package: fprintd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
 dbus,
 policykit-1
Description: D-Bus daemon for fingerprint reader access
 fprintd is a D-Bus daemon that offers libfprint functionality over the
 D-Bus interprocess communication bus. By adding this daemon layer above
 libfprint, various problems related to multiple applications simultaneously
 competing for fingerprint readers get solved.

Package: libpam-fprintd
Architecture: any
Section: admin
Depends: ${shlibs:Depends}, ${misc:Depends},
 fprintd (= ${binary:Version}),
 libpam-runtime (>= 1.1.3-2~)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: PAM module for fingerprint authentication through fprintd
 fprintd is a D-Bus daemon that offers libfprint functionality over the
 D-Bus interprocess communication bus. By adding this daemon layer above
 libfprint, various problems related to multiple applications simultaneously
 competing for fingerprint readers get solved.
 .
 This package provides a PAM module for fingerprint-based authentication
 via fprintd.

Package: fprintd-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: fprintd (>= ${source:Version}), libpam-fprintd (>= ${source:Version})
Description: development documentation for fprintd
 fprintd is a D-Bus daemon that offers libfprint functionality over the
 D-Bus interprocess communication bus. By adding this daemon layer above
 libfprint, various problems related to multiple applications simultaneously
 competing for fingerprint readers get solved.
 .
 This package contains the GTK-Doc API documentation of fprintd.

=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,11 @@
 	make -C doc/dbus all
 	dh_auto_build
 
-override_dh_install:
-	dh_install -X .la -X .a
+override_dh_install-indep:
+	dh_install -i -X .la -X .a
+
+override_dh_install-arch:
+	dh_install -a -X .la -X .a
 	mkdir -p debian/libpam-fprintd/lib
 	mv debian/libpam-fprintd/usr/lib/* debian/libpam-fprintd/lib/
 	find debian/libpam-fprintd/usr -type d -empty -delete

## fprintd 0.7.0

=== debian/changelog ===
fprintd (0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Drop debian/patches/ufa31b0a-update-translations-add-21-of-them.patch,
      applied upstream
  * Move fprintd daemon from /usr/sbin to /usr/lib/fprintd directory, the
    daemon is not supposed to be run manually by users
  * debian/control: Use https for Vcs-* and Homepage fields to please lintian
  * debian/rules: Move the --fail-missing flag from dh call to dh_install ones
  * Add debian/watch file

 -- Laurent Bigonville <bigon@debian.org>  Fri, 02 Dec 2016 18:09:53 +0100

fprintd (0.6.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add intltool to build-dep, preparing for the deprecation of gnome-common,
    Fixes FTBFS. (Closes: #837823).

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 24 Oct 2016 20:40:42 +0800

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
  libdbus-glib-1-dev,
  libpolkit-gobject-1-dev,
  gtk-doc-tools,
+ intltool,
  libpam0g-dev
 Standards-Version: 3.9.8
-Homepage: http://www.freedesktop.org/wiki/Software/fprint/fprintd
-Vcs-Git: git://anonscm.debian.org/fingerforce/fprintd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=fingerforce/fprintd.git
+Homepage: https://www.freedesktop.org/wiki/Software/fprint/fprintd
+Vcs-Git: https://anonscm.debian.org/git/fingerforce/fprintd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/fingerforce/fprintd.git/
 
 Package: fprintd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 %:
-	dh $@ --fail-missing --parallel
+	dh $@ --parallel
 
 # Configuration arguments
-CONFIG_ARGS = --enable-pam --disable-silent-rules --with-systemdsystemunitdir=/lib/systemd/system
+CONFIG_ARGS = --enable-pam --disable-silent-rules --with-systemdsystemunitdir=/lib/systemd/system --libexecdir=/usr/lib/fprintd/
 
 ifneq (,$(filter fprintd-doc,$(shell dh_listpackages)))
 	CONFIG_ARGS += --enable-gtk-doc
@@ -29,10 +29,10 @@
 	dh_auto_build
 
 override_dh_install-indep:
-	dh_install -i -X .la -X .a
+	dh_install -i -X .la -X .a --fail-missing
 
 override_dh_install-arch:
-	dh_install -a -X .la -X .a
+	dh_install -a -X .la -X .a --fail-missing
 	mkdir -p debian/libpam-fprintd/lib
 	mv debian/libpam-fprintd/usr/lib/* debian/libpam-fprintd/lib/
 	find debian/libpam-fprintd/usr -type d -empty -delete

## fprintd 0.8.0

=== debian/changelog ===
fprintd (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Do not add libpam-fprintd to the common-auth PAM service, existing
    installation shouldn't be affected. This will also mitigate bug #719004,
    adding the module to common-auth by default doesn't sound like a good idea
    in the first place as further configuration is probably needed anyway.
    (Closes: #881186)
  * debian/control:
    - Move the package to Priority: optional, the extra priority is deprecated
    - Bump Standards-Version to 4.1.1 (no further changes)
  * debian/rules: Use ?= operator instead of := when assigning DEB_HOST_ARCH,
    thanks to lintian

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Nov 2017 19:23:05 +0100

fprintd (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control: Add rename to the build-dependencies (Closes: #874040)
  * debian/control: Bump Standards-Version to 4.1.0 (no further changes)
  * Bump Debhelper compatibility to 10
  * debian/rules: Rely on dh_autoreconf instead of calling autotools manually

 -- Laurent Bigonville <bigon@debian.org>  Wed, 13 Sep 2017 18:07:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: fprintd
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  libfprint-dev (>= 1:0.6),
  libglib2.0-dev,
  libdbus-glib-1-dev,
  libpolkit-gobject-1-dev,
  gtk-doc-tools,
  intltool,
- libpam0g-dev
-Standards-Version: 3.9.8
+ libpam0g-dev,
+ rename
+Standards-Version: 4.1.1
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/fprintd
 Vcs-Git: https://anonscm.debian.org/git/fingerforce/fprintd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/fingerforce/fprintd.git/

=== debian/watch ===
version=4

https://people.freedesktop.org/~hadess/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## fprintd 0.8.1

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 %:
-	dh $@ --parallel
+	dh $@
 
 # Configuration arguments
 CONFIG_ARGS = --enable-pam --disable-silent-rules --with-systemdsystemunitdir=/lib/systemd/system --libexecdir=/usr/lib/fprintd/
@@ -13,15 +13,6 @@
 endif
 
 override_dh_auto_configure:
-	# From autogen.sh
-	aclocal
-	autoheader
-	glib-gettextize -f -c
-	gtkdocize --copy
-	intltoolize -c -f
-	libtoolize -c
-	autoconf
-	automake -a -c
 	dh_auto_configure -- $(CONFIG_ARGS)
 
 override_dh_auto_build:

## fprintd 0.8.2

=== debian/changelog ===
fprintd (0.8.2-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: d6b1605e54e04fa35765a473416bfe0fb90d5539']

 -- shuttle <shuttle@deepin.com>  Wed, 03 Jun 2020 21:40:33 +0000

## fprintd 0.9.0

=== debian/changelog ===
fprintd (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Add debian/gbp.conf file
  * debian/control: Update the Vcs-* fields, it's now hosted on salsa
  * debian/patches/remove_unneeded_systemd_check.patch: Do not check the
    version of systemd at build-time, this is not needed
  * fprint-doc: Add a symlink in /usr/share/doc and adjust the .doc-base file
    to please lintian
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12, switch to dh_missing
  * Install the daemon in /usr/libexec/ now that the policy allows it

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Jan 2020 12:54:27 +0100

fprintd (0.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control: Bump Standards-Version to 4.2.1 (no further changes)
  * debian/watch: Point to freedesktop gitlab

 -- Laurent Bigonville <bigon@debian.org>  Sat, 08 Sep 2018 11:23:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,24 @@
 Priority: optional
 Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 10),
- libfprint-dev (>= 1:0.6),
- libglib2.0-dev,
- libdbus-glib-1-dev,
- libpolkit-gobject-1-dev,
- gtk-doc-tools,
- intltool,
- libpam0g-dev,
- rename
-Standards-Version: 4.1.1
+Build-Depends: debhelper-compat (= 12),
+               gtk-doc-tools,
+               intltool,
+               libdbus-glib-1-dev,
+               libfprint-dev (>= 1:0.6),
+               libglib2.0-dev,
+               libpam0g-dev,
+               libpolkit-gobject-1-dev,
+               rename
+Standards-Version: 4.4.1
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/fprintd
-Vcs-Git: https://anonscm.debian.org/git/fingerforce/fprintd.git
-Vcs-Browser: https://anonscm.debian.org/cgit/fingerforce/fprintd.git/
+Vcs-Git: https://salsa.debian.org/debian/fprintd.git
+Vcs-Browser: https://salsa.debian.org/debian/fprintd
 
 Package: fprintd
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends},
- dbus,
- policykit-1
+Depends: dbus, policykit-1, ${misc:Depends}, ${shlibs:Depends}
 Description: D-Bus daemon for fingerprint reader access
  fprintd is a D-Bus daemon that offers libfprint functionality over the
  D-Bus interprocess communication bus. By adding this daemon layer above
@@ -32,9 +30,10 @@
 Package: libpam-fprintd
 Architecture: any
 Section: admin
-Depends: ${shlibs:Depends}, ${misc:Depends},
- fprintd (= ${binary:Version}),
- libpam-runtime (>= 1.1.3-2~)
+Depends: fprintd (= ${binary:Version}),
+         libpam-runtime (>= 1.1.3-2~),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: PAM module for fingerprint authentication through fprintd

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@

# Configuration arguments
CONFIG_ARGS = --enable-pam --disable-silent-rules --with-systemdsystemunitdir=/lib/systemd/system

ifneq (,$(filter fprintd-doc,$(shell dh_listpackages)))
	CONFIG_ARGS += --enable-gtk-doc
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_auto_build:
	make -C doc/dbus all
	dh_auto_build

override_dh_install-indep:
	dh_install -i -X .la -X .a

override_dh_install-arch:
	dh_install -a -X .la -X .a
	mkdir -p debian/libpam-fprintd/lib
	mv debian/libpam-fprintd/usr/lib/* debian/libpam-fprintd/lib/
	find debian/libpam-fprintd/usr -type d -empty -delete
	# Arch-qualify pam-configs
	rename 's|(.*)/(.*)$$|$$1/$$2.$(DEB_HOST_ARCH)|' debian/libpam-fprintd/usr/share/pam-configs/*
	sed -e 's/#DEB_HOST_ARCH#/$(DEB_HOST_ARCH)/g' debian/libpam-fprintd.prerm > debian/libpam-fprintd.prerm.$(DEB_HOST_ARCH)

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	rm -f debian/libpam-fprintd.prerm.*
	dh_clean

## fprintd 1.90.1

=== debian/changelog ===
fprintd (1.90.1-1ubuntu1) focal; urgency=medium

  * d/p/device-Cancel-the-ongoing-operation-when-releasing-the-de.patch,
    d/p/device-Fix-retry-enroll-error-names.patch,
    d/p/device-Fix-verify-disconnected-state-name.patch,
    d/p/device-Return-enroll-failed-on-cancelled-enrollment.patch,
    d/p/device-Return-verify-no-match-on-cancelled-verification-1.patch,
    d/p/device-Return-verify-no-match-on-cancelled-verification.patch,
    d/p/device-Throw-NoEnrolledPrints-on-missing-finger-in-galler.patch:
    - Upstream fixes to ensure dbus API respects the standard and that
      devices don't end-up into an un-usable state.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Apr 2020 09:01:27 +0200

fprintd (1.90.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Switch to meson (Closes: #830015)
    - Adjust the build-dependencies
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control: Mark the -doc package with Build-Profiles: <!nodoc> and
    move gtk-doc-tools to the B-D-I

 -- Laurent Bigonville <bigon@debian.org>  Wed, 19 Feb 2020 14:01:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,27 @@
 Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               gtk-doc-tools,
-               intltool,
+               libdbus-1-dev,
                libdbus-glib-1-dev,
-               libfprint-dev (>= 1:0.6),
-               libglib2.0-dev,
+               libfprint-2-dev (>= 1:1.90.0),
+               libglib2.0-dev (>= 2.56),
                libpam0g-dev,
                libpolkit-gobject-1-dev,
-               rename
-Standards-Version: 4.4.1
+               libsystemd-dev,
+               meson (>= 0.50.0),
+               policykit-1,
+               rename,
+# Needed for the test suite
+               python3,
+               python3-cairo-dev,
+               python3-dbus,
+               python3-dbusmock,
+               python3-gi,
+               python3-pypamtest,
+               libpam-wrapper,
+               libxml2-utils
+Build-Depends-Indep: gtk-doc-tools <!nodoc>, xsltproc <!nodoc>
+Standards-Version: 4.5.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/fprintd
 Vcs-Git: https://salsa.debian.org/debian/fprintd.git
 Vcs-Browser: https://salsa.debian.org/debian/fprintd
@@ -50,6 +62,7 @@
 Section: doc
 Depends: ${misc:Depends}
 Suggests: fprintd (>= ${source:Version}), libpam-fprintd (>= ${source:Version})
+Build-Profiles: <!nodoc>
 Description: development documentation for fprintd
  fprintd is a D-Bus daemon that offers libfprint functionality over the
  D-Bus interprocess communication bus. By adding this daemon layer above

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@

# Configuration arguments
CONFIG_ARGS = -Dpam=true -Dsystemd_system_unit_dir=/lib/systemd/system

ifneq (,$(filter fprintd-doc,$(shell dh_listpackages)))
	CONFIG_ARGS += -Dgtk_doc=true
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_install-arch:
	dh_install -a
	# Arch-qualify pam-configs
	rename 's|(.*)/(.*)$$|$$1/$$2.$(DEB_HOST_ARCH)|' debian/libpam-fprintd/usr/share/pam-configs/*
	sed -e 's/#DEB_HOST_ARCH#/$(DEB_HOST_ARCH)/g' debian/libpam-fprintd.prerm > debian/libpam-fprintd.prerm.$(DEB_HOST_ARCH)

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	rm -f debian/libpam-fprintd.prerm.*
	dh_clean

## fprintd 1.90.8

=== debian/changelog ===
fprintd (1.90.8-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 20 Jan 2021 15:17:20 -0500

fprintd (1.90.8-1) unstable; urgency=medium

  * New upstream release
    - pam: Only listen to NameOwnerChanged after fprintd is known to run
    - Place new ObjectManager DBus API at /net/reactivated/Fprint
  * debian/patches: Remove all patches, applied upstream or not needed anymore
  * debian/control: Depend on systemd 235, but only in linux
  * debian/rules: Require systemd and set unit path only on linux
  * debian/fprintd.install: Use dh-exec to filter linux-only files

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Dec 2020 21:32:29 +0100

fprintd (1.90.7-1) unstable; urgency=medium

  * New upstream release
    - Fix fprintd DBus configuration (Closes: #976990)
    - Change details of what requires authorization
    - Fix various race conditions in pam_fprintd
    - Permit interactive authorization from fprintd utilities
    - Do not allow deletion while another operation is ongoing
    - pam: Guard strdup calls against NULL pointers
  * debian/patches:
    - Refresh
    - Ignore NameOwnerChanged until fprintd is running

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 11 Dec 2020 00:03:27 +0100

fprintd (1.90.5-2) unstable; urgency=medium

  * debian/patches: Make tests run with actual required libfprint version
  * debian/control: Remove test-only dependency on libfprint 1.90.4.
    Tests are now working with older libfprint versions too
  * debian/control: Add myself to Uploaders
  * debian/gbp.conf: Include suggested settings by GNOME team.
    Even if fprintd is not part of GNOME I think these settings are good
    practice anyways.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 03 Dec 2020 15:57:19 +0100

fprintd (1.90.5-1) unstable; urgency=medium

  * New upstream release:
    - Permit building with polkit older than 0.114
    - Fix possible issues with PAM test
    - Fix incorrect DBus policy
    - Fix build so that CFLAGS environment is correctly used
    - Skip hotplug test with older libfprint (which times out otherwise)
  * debian/patches: Drop patches applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Dec 2020 05:35:33 +0100

fprintd (1.90.4-1) unstable; urgency=medium

  * Team upload.
  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Use GDBus and async Polkit checks
    - Authentication is now required to enroll a new print (LP: #1532264,
      Closes: #719004)
    - Add support for the libfprint early reporting mechanism
    - Proper hotplug support together with libfprint 1.90.4
    - Handle STATE_DIRECTORY containing multiple paths
    - Various memory fixes (LP: #1888495)
  * debian/control:
    - Remove build dependency on dbus-glib (Closes: #955893)
    - Mark as <!nocheck> the packages required only for testing
    - Use debhelper 13
    - Bump libfprint-2 dependency on 1.90.4 on test case
  * debian/rules:
    - remove unneeded override to force --fail-missing (as per dh 13)
    - Increase tests timeout multiplier
  * debian/patches:
    - Refresh
    - Define auto-pointers functions if not defined:
      Fixes a build failure with debian polkit version.
    - Cleanup pam-wrapper temporary dir when running tests
    - Fix dbus-policy file to address lintian
    - Ensure we generate debug symbols in debian builds

  [ Laurent Bigonville ]
  * debian/control: Bump Standards-Version to 4.5.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 01 Dec 2020 13:06:59 +0100

fprintd (1.90.1-2) unstable; urgency=low

  * Team upload.
  * Simplify the installation of the pam-config, do not install one
    configuration file per architecture
  * debian/NEWS: Add an news entry explaining that the user will have to
    re-enroll their fingerprints upon update to 1.90.1.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 15 Nov 2020 16:22:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: fprintd
 Section: misc
 Priority: optional
-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
-Uploaders: Didier Raboud <odyx@debian.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Uploaders: Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 12),
-               libdbus-1-dev,
-               libdbus-glib-1-dev,
-               libfprint-2-dev (>= 1:1.90.0),
+               dh-exec,
+               libfprint-2-dev (>= 1:1.90.1),
                libglib2.0-dev (>= 2.56),
                libpam0g-dev,
+               libpamtest0-dev,
                libpolkit-gobject-1-dev,
-               libsystemd-dev,
+               libsystemd-dev (>= 235) [linux-any],
                meson (>= 0.50.0),
                policykit-1,
-               rename,
-# Needed for the test suite
-               python3,
-               python3-cairo-dev,
-               python3-dbus,
-               python3-dbusmock,
-               python3-gi,
-               python3-pypamtest,
-               libpam-wrapper,
-               libxml2-utils
+               python3 <!nocheck>,
+               python3-cairo <!nocheck>,
+               python3-dbus <!nocheck>,
+               python3-dbusmock <!nocheck>,
+               python3-gi <!nocheck>,
+               python3-pypamtest <!nocheck>,
+               libpam-wrapper <!nocheck>,
+               libxml2-utils <!nocheck>
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, xsltproc <!nodoc>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/fprintd
 Vcs-Git: https://salsa.debian.org/debian/fprintd.git
 Vcs-Browser: https://salsa.debian.org/debian/fprintd

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@

# Configuration arguments
CONFIG_ARGS = -Dpam=true
BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	CONFIG_ARGS += -Dsystemd_system_unit_dir=/lib/systemd/system
else
	CONFIG_ARGS += -Dsystemd=false
endif

ifneq (,$(filter fprintd-doc,$(shell dh_listpackages)))
	CONFIG_ARGS += -Dgtk_doc=true
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_auto_test:
	dh_auto_test -- -C $(BUILDDIR)

## fprintd 1.90.9

=== meson_options.txt ===
--- 
+++ 
@@ -4,6 +4,10 @@
     value: true)
 option('man',
     description: 'Generate the man files',
+    type: 'boolean',
+    value: true)
+option('systemd',
+    description: 'Install system service files',
     type: 'boolean',
     value: true)
 option('systemd_system_unit_dir',

=== debian/changelog ===
fprintd (1.90.9-1~ubuntu20.04.1) focal; urgency=medium

  * Backport to focal (LP: #1908119)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 22 Feb 2021 16:00:47 +0100

fprintd (1.90.9-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Fix multiple daemon lockup issues (#97)
    - Fix print garbage collection to not delete used prints
    - pam: Use the device with the most prints
  * debian/control: Mark fprintd-doc as Multi-Arch: foreign

  [ Helmut Grohne ]
  * Fix nocheck FTFBS: Drop <!nocheck> from non-optional dependencies.
    (Closes: #977395)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Jan 2021 21:29:07 +0100

fprintd (1.90.8-1~ubuntu20.04.1) focal; urgency=medium

  * Backport to focal (LP: #1908119)
  * debian/{control,gbp.conf}: Prepare for ubuntu focal branching
  * debian/{control, rules}: Do not use debhelper 13 features
  * debian/rules: Use meson test directly to handle timeouts
  * debian/patches: Drop all the patches applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 22 Feb 2021 15:53:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: fprintd
 Section: misc
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 12),
@@ -9,24 +9,25 @@
                libfprint-2-dev (>= 1:1.90.1),
                libglib2.0-dev (>= 2.56),
                libpam0g-dev,
-               libpamtest0-dev,
                libpolkit-gobject-1-dev,
                libsystemd-dev (>= 235) [linux-any],
                meson (>= 0.50.0),
                policykit-1,
-               python3 <!nocheck>,
-               python3-cairo <!nocheck>,
-               python3-dbus <!nocheck>,
-               python3-dbusmock <!nocheck>,
+               python3,
+               python3-cairo,
+               python3-dbus,
+               python3-dbusmock,
                python3-gi <!nocheck>,
-               python3-pypamtest <!nocheck>,
-               libpam-wrapper <!nocheck>,
+               python3-pypamtest,
+               libpam-wrapper,
                libxml2-utils <!nocheck>
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, xsltproc <!nodoc>
 Standards-Version: 4.5.1
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/fprintd
-Vcs-Git: https://salsa.debian.org/debian/fprintd.git
-Vcs-Browser: https://salsa.debian.org/debian/fprintd
+XS-Debian-Vcs-Git: https://salsa.debian.org/debian/fprintd.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/fprintd
+Vcs-Git: https://salsa.debian.org/debian/fprintd.git -b focal
+Vcs-Browser: https://salsa.debian.org/debian/fprintd/tree/focal
 
 Package: fprintd
 Architecture: any
@@ -62,6 +63,7 @@
 Depends: ${misc:Depends}
 Suggests: fprintd (>= ${source:Version}), libpam-fprintd (>= ${source:Version})
 Build-Profiles: <!nodoc>
+Multi-Arch: foreign
 Description: development documentation for fprintd
  fprintd is a D-Bus daemon that offers libfprint functionality over the
  D-Bus interprocess communication bus. By adding this daemon layer above

=== debian/rules ===
--- 
+++ 
@@ -22,5 +22,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIG_ARGS)
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_auto_test:
-	dh_auto_test -- -C $(BUILDDIR)
+	meson test -C $(BUILDDIR) --verbose --timeout-multiplier 5

=== debian/watch ===
version=4

opts=versionmangle=s/_/./g \
  https://gitlab.freedesktop.org/libfprint/@PACKAGE@/tags \
  .*\/archive\/[Vv]_?([\d_\+\.]+)\/@PACKAGE@-.*@ARCHIVE_EXT@

## fprintd 1.94.2

=== debian/changelog ===
fprintd (1.94.2-3) unstable; urgency=medium

  * debian/control: depend on polkitd instead of policykit-1
    fprintd requires polkitd but it uses it via dbus. (Closes: #1025558)
  * debian/rules: Skip pam tests as they are timeouting in debian.
    This is a build failure that we've in debian but not upstream, so while
    we figure out what it is, it's better to just skip the tests to unblock
    fprintd to land.
  * debian/patches: Cherry pick upstream fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 23 Dec 2023 04:28:38 +0100

fprintd (1.94.2-2) unstable; urgency=medium

  * debian/patches: Cherry-pick upstream fixes
    - Avoid to warn when not needed
    - Fix dbusmock AddDevice calls to include optional argument
      (Closes: #1009395)
    - Translation updates

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 07 Jun 2022 20:05:39 +0200

fprintd (1.94.2-1) unstable; urgency=medium

  * New upstream release:
    - Add PAM module options to ignore timeout/retry limits
    - A lot of translation updates after the POT file was fixed
    - Improve meson build file and fix building with meson 0.61.0

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Feb 2022 01:44:22 +0100

fprintd (1.94.1-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Drop, all was applied upstream
  * debian/pam-configs/fprintd: Use proper max-tries config name
    (Closes: #997667)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Nov 2021 17:05:11 +0100

fprintd (1.94.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Build depend on libfprint 1.94
  * debian/patches: Fix builds with meson 60
  * debian/rules: Just use verbose logging on errors
  * debian/patches: Cherry-pick upstream fixes and translation updates

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 28 Oct 2021 15:39:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIG_ARGS)
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_auto_test:
-	meson test -C $(BUILDDIR) --verbose --timeout-multiplier 5
+	# FIXME: PAM suite should not be skipped but tests pass upstream.
+	dh_auto_test -- -C $(BUILDDIR) --print-errorlogs --timeout-multiplier 5 \
+		--no-suite PAM

## fprintd 1.94.3

=== debian/changelog ===
fprintd (1.94.3-1deepin1) unstable; urgency=medium

  * Add dep valgrind

 -- xiangzelong <xiangzelong@deepin.org>  Wed, 29 May 2024 17:30:40 +0800

fprintd (1.94.3-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release (LP: #2060067, Closes: #1064813)
  * debian/patches: Drop, all applied upstream

  [ Michael Biebl ]
  * Install PAM module in /usr (Closes: #1061580)
  * Install systemd unit in /usr (Closes: #1061580)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Apr 2024 03:58:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: fprintd
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Marco Trevisan <marco@ubuntu.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               libfprint-2-dev (>= 1:1.90.1),
+               libfprint-2-dev (>= 1:1.94.0),
                libglib2.0-dev (>= 2.56),
                libpam0g-dev,
                libpolkit-gobject-1-dev,
                libsystemd-dev (>= 235) [linux-any],
                meson (>= 0.50.0),
-               policykit-1,
                python3,
                python3-cairo,
                python3-dbus,
@@ -20,19 +18,18 @@
                python3-gi <!nocheck>,
                python3-pypamtest,
                libpam-wrapper,
+               valgrind,
                libxml2-utils <!nocheck>
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, xsltproc <!nodoc>
 Standards-Version: 4.5.1
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/fprintd
-XS-Debian-Vcs-Git: https://salsa.debian.org/debian/fprintd.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/debian/fprintd
-Vcs-Git: https://salsa.debian.org/debian/fprintd.git -b focal
-Vcs-Browser: https://salsa.debian.org/debian/fprintd/tree/focal
+Vcs-Git: https://salsa.debian.org/debian/fprintd.git
+Vcs-Browser: https://salsa.debian.org/debian/fprintd
 
 Package: fprintd
 Architecture: any
 Multi-Arch: foreign
-Depends: dbus, policykit-1, ${misc:Depends}, ${shlibs:Depends}
+Depends: dbus, polkitd, ${misc:Depends}, ${shlibs:Depends}
 Description: D-Bus daemon for fingerprint reader access
  fprintd is a D-Bus daemon that offers libfprint functionality over the
  D-Bus interprocess communication bus. By adding this daemon layer above

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,16 @@
 #!/usr/bin/make -f
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@
 
 # Configuration arguments
-CONFIG_ARGS = -Dpam=true
+CONFIG_ARGS = -Dpam=true -Dpam_modules_dir=/usr/lib/$(DEB_HOST_MULTIARCH)/security
 BUILDDIR = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	CONFIG_ARGS += -Dsystemd_system_unit_dir=/lib/systemd/system
+	CONFIG_ARGS += -Dsystemd_system_unit_dir=/usr/lib/systemd/system
 else
 	CONFIG_ARGS += -Dsystemd=false
 endif

## fprintd 1.94.4

=== debian/changelog ===
fprintd (1.94.4-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Update to work with newer gitlab
    Dropped support for old versions syntax, but it's not something we use for
  * debian/control: Bump build dependency on GLib 2.64
  * d/p: Add upstream patches to fix PAM tests timeouts
  * debian/rules: Do not ignore PAM tests
  * debian/fprintd.postinst: Drop, it's unneeded
  * debian/control: Update Standards Version to 4.7.0 (no change required)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 05 Sep 2024 04:36:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                libfprint-2-dev (>= 1:1.94.0),
-               libglib2.0-dev (>= 2.56),
+               libglib2.0-dev (>= 2.64),
                libpam0g-dev,
                libpolkit-gobject-1-dev,
                libsystemd-dev (>= 235) [linux-any],
@@ -18,10 +18,9 @@
                python3-gi <!nocheck>,
                python3-pypamtest,
                libpam-wrapper,
-               valgrind,
                libxml2-utils <!nocheck>
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, xsltproc <!nodoc>
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/fprintd
 Vcs-Git: https://salsa.debian.org/debian/fprintd.git
 Vcs-Browser: https://salsa.debian.org/debian/fprintd

## fprintd 1.94.5

=== meson_options.txt ===
--- 
+++ 
@@ -10,6 +10,11 @@
     description: 'Install system service files',
     type: 'boolean',
     value: true)
+option('libsystemd',
+    description: 'Libsystemd provider (libsystemd or libelogind)',
+    type: 'combo',
+    choices: [ 'libsystemd', 'libelogind', 'basu'],
+    value: 'libsystemd')
 option('systemd_system_unit_dir',
     description: 'Directory for systemd service files',
     type: 'string')

=== debian/changelog ===
fprintd (1.94.5-2) unstable; urgency=medium

  * debian/patches: Translation updates
    Also synchronize the potfile with upstream changes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Apr 2025 13:50:18 +0200

fprintd (1.94.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump build dependency on libfprint 1.94.9
  * debian/patches: Drop, applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 20 Feb 2025 21:50:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Marco Trevisan <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-               libfprint-2-dev (>= 1:1.94.0),
+               libfprint-2-dev (>= 1:1.94.9),
                libglib2.0-dev (>= 2.64),
                libpam0g-dev,
                libpolkit-gobject-1-dev,

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,3 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIG_ARGS)
 
-override_dh_auto_test:
-	# FIXME: PAM suite should not be skipped but tests pass upstream.
-	dh_auto_test -- -C $(BUILDDIR) --print-errorlogs --timeout-multiplier 5 \
-		--no-suite PAM

=== debian/watch ===
version=4

opts="searchmode=plain" \
https://gitlab.freedesktop.org/libfprint/@PACKAGE@/tags?sort=updated_desc \
  -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
